AvaCloud
Infra Plans

Get Infra Plans by network

Get Infra Plans by network

GET
/v1/api/subnets/infraplan/network/{network}

Authorization

Authorization<token>

Enter the Bearer token in the format: Bearer

In: header

Path Parameters

networkRequiredstring

network

curl -X GET "https://example.com/v1/api/subnets/infraplan/network/<string>" \
  -H "Authorization: <token>"

OK

[
  {
    "bundlePlan": {
      "dynamicFees": [
        {
          "fee": "string",
          "feeLabel": "string",
          "name": "string"
        }
      ],
      "fee": "string",
      "feeAmount": "string",
      "productID": "string"
    },
    "gasRelayerPlan": {
      "dynamicPrice": {
        "fee": "string",
        "feeLabel": "string",
        "name": "string"
      },
      "flatPrice": "string",
      "flatPriceLegend": "string",
      "productID": "string",
      "redundancy": true,
      "rps": 0,
      "signers": 0
    },
    "mainnetDetails": {
      "customerValidators": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string"
        }
      ],
      "dedicatedNodes": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string",
          "resources": {
            "cpu": "string",
            "memory": "string"
          },
          "size": "small"
        }
      ],
      "glacier": {
        "debugNodes": [
          {
            "cloudProvider": "aws",
            "count": 0,
            "region": "string",
            "resources": {
              "cpu": "string",
              "memory": "string"
            },
            "size": "small"
          }
        ],
        "enableIndexing": true
      },
      "metricsIndexing": true,
      "rpcNodes": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string",
          "resources": {
            "cpu": "string",
            "memory": "string"
          },
          "size": "small"
        }
      ],
      "validators": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string"
        }
      ],
      "wsNodes": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string",
          "resources": {
            "cpu": "string",
            "memory": "string"
          },
          "size": "small"
        }
      ]
    },
    "planDisplayName": "string",
    "planID": "string",
    "planKey": "string",
    "testnetDetails": {
      "customerValidators": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string"
        }
      ],
      "dedicatedNodes": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string",
          "resources": {
            "cpu": "string",
            "memory": "string"
          },
          "size": "small"
        }
      ],
      "glacier": {
        "debugNodes": [
          {
            "cloudProvider": "aws",
            "count": 0,
            "region": "string",
            "resources": {
              "cpu": "string",
              "memory": "string"
            },
            "size": "small"
          }
        ],
        "enableIndexing": true
      },
      "metricsIndexing": true,
      "rpcNodes": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string",
          "resources": {
            "cpu": "string",
            "memory": "string"
          },
          "size": "small"
        }
      ],
      "validators": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string"
        }
      ],
      "wsNodes": [
        {
          "cloudProvider": "aws",
          "count": 0,
          "region": "string",
          "resources": {
            "cpu": "string",
            "memory": "string"
          },
          "size": "small"
        }
      ]
    }
  }
]